#ifndef FLIP_H_
#define FLIP_H_

#include <stdio.h>
#include <set.h>
#include "vektor.h"
#include "print.h"
#include "division.h"

extern FILE *flip_listfile;
extern int computegrobnerfan_size;
extern int computegrobnerfan_nedges;
extern bool gfanprinton;
extern bool useordered;
typedef list<gbasis> gfan;
gbasis flip(const gbasis& g, const vektor_i& p);
gbasis irredundant(const gbasis& g);
void computegrobnerfan(gbasis &g);
void computegrobnerfan_rs(gbasis &g);
void computegrobnerfan_hb(gbasis &g);
gbasis walk(gbasis &g);



struct gbcmp
{
  bool operator()(const gbasis& a,const gbasis& b) const;
};

typedef set < gbasis, gbcmp > gfan2;


#endif
